/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 22/01/2018
 --------------------------------------------------------
*/
package com.portofolio.entity.vo;

import static com.portofolio.base.adapter.DatabaseAdapter.Constant.*;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import   javax.validation.constraints.NotNull;

import  lombok.AllArgsConstructor;
import  lombok.EqualsAndHashCode;
import  lombok.Getter;
import  lombok.NoArgsConstructor;
import  lombok.Setter;


@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class HubunganId implements java.io.Serializable {
     /**
     * 
     */
    private static final String cDefKdProfile =INTEGER;
    @Column(name = "KdProfile",   columnDefinition = cDefKdProfile)
    @NotNull(message = "hubunganid.kdprofile.notnull")
    private Integer kdProfile;
    
    private static final String cDefKdHubungan =INTEGER;
    @Column(name = "KdHubungan",   columnDefinition = cDefKdHubungan)
    @NotNull(message = "hubunganid.kdhubungan.notnull")
    private Integer kdHubungan;
    
    

}
